import java.sql.*;

public class GetMetadata {
	public static void main(String[] args) throws Exception {
		Class.forName("com.mysql.jdbc.Driver"); 
		Connection con = DriverManager.getConnection("jdbc:mysql://localhost:3306/test", "root", "root");
		Statement st = con.createStatement();
		ResultSet rs = st.executeQuery("select employee.empId, workexp.technology from employee, workexp where employee.empId = workexp.empId");
		getColumnNames(rs);
		rs.close();
		st.close();
		con.close();
	}

	public static void getColumnNames(ResultSet rs) throws SQLException {
		if (rs == null) {
		  return;
		}
		ResultSetMetaData rsmd = rs.getMetaData();
		// Get the number of coulumns
		int numberOfColumns = rsmd.getColumnCount();

		for (int i = 1; i < numberOfColumns + 1; i++) {
			 System.out.println();
			// get the column name at ith index
		  System.out.println("Column Name :"+rsmd.getColumnName(i));
		  // get the Data Type of the column
		  System.out.println("Data Type :"+rsmd.getColumnTypeName(i));
		  // get the Length of the column
		  System.out.println("Length :"+rsmd.getColumnDisplaySize(i));		  
		  // Get the table name of the column
		  System.out.println("Table Name :"+rsmd.getTableName(i));
		}
  }

}